<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!-- 
IGAC proyecto SNC

@author: juan.agudelo

    Pantalla que permite mostrar la información de cancelación e inscripcion 
    en el módulo correspondiente a detalle del avalúo, cuando se escoge ver más detalles
    
-->

<h:form xmlns="http://www.w3.org/1999/xhtml"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:p="http://primefaces.org/ui"
        xmlns:fn="http://java.sun.com/jsp/jstl/functions"
        id="detalleAvaluoForm">

    <h:panelGrid
        rendered="#{not empty infoCancelacionInscripcion.predioAvaluoSeleccionado}">
        <p:fieldset legend="Avalúo catastral">
            <h:panelGrid columns="4" cellspacing="13"
                         id="tablaDatosConstruccionesAvaluoId">

                <h:outputLabel value="Valor total terreno"
                               styleClass="outputLabelStyle" />
                <h:outputText
                    value="#{infoCancelacionInscripcion.predioAvaluoSeleccionado.predioAvaluoCatastrals[0].valorTerreno}"
                    styleClass="outputTextStyle">
                    <f:convertNumber type="number" />
                </h:outputText>

                <h:outputLabel value="Auto estimación" styleClass="outputLabelStyle" />
                <h:outputText
                    value="#{infoCancelacionInscripcion.predioAvaluoSeleccionado.predioAvaluoCatastrals[0].autoavaluo}"
                    styleClass="outputTextStyle" />

                <h:outputLabel value="Valor total construcción"
                               styleClass="outputLabelStyle" />
                <h:outputText
                    value="#{infoCancelacionInscripcion.predioAvaluoSeleccionado.predioAvaluoCatastrals[0].valorTotalConstruccion}"
                    styleClass="outputTextStyle">
                    <f:convertNumber type="number" />
                </h:outputText>

                <h:outputLabel value="Valor total avalúo catastral"
                               styleClass="outputLabelStyle" />
                <h:outputText
                    value="#{infoCancelacionInscripcion.predioAvaluoSeleccionado.predioAvaluoCatastrals[0].valorTotalAvaluoCatastral}"
                    styleClass="outputTextStyle">
                    <f:convertNumber type="number" />
                </h:outputText>

                <h:outputLabel value="Valor total construcción convencional"
                               styleClass="outputLabelStyle" />
                <h:outputText
                    value="#{infoCancelacionInscripcion.predioAvaluoSeleccionado.predioAvaluoCatastrals[0].valorTotalConsConvencional}"
                    styleClass="outputTextStyle">
                    <f:convertNumber type="number" />
                </h:outputText>

                <h:outputLabel value="Valor total construcción no convencional"
                               styleClass="outputLabelStyle" />
                <h:outputText
                    value="#{infoCancelacionInscripcion.predioAvaluoSeleccionado.predioAvaluoCatastrals[0].valorTotalConsNconvencional}"
                    styleClass="outputTextStyle">
                    <f:convertNumber type="number" />
                </h:outputText>

            </h:panelGrid>
        </p:fieldset>

        <p:spacer height="13" width="0" />

        <p:fieldset legend="Áreas de terreno">
            <h:panelGrid columns="4" cellspacing="13"
                         id="tablaDatosAreasAvaluoId">

                <h:outputLabel value="Área total terreno"
                               styleClass="outputLabelStyle" />
                <h:outputText
                    value="#{infoCancelacionInscripcion.predioAvaluoSeleccionado.areaTerreno} m2 - #{infoCancelacionInscripcion.predioAvaluoSeleccionado.areaTerreno * 0.0001} ha"
                    styleClass="outputTextStyle">
                    <f:convertNumber type="number" />
                </h:outputText>

                <h:outputLabel value="Área total construcción"
                               styleClass="outputLabelStyle" />
                <h:outputText
                    value="#{infoCancelacionInscripcion.predioAvaluoSeleccionado.areaTotalConstruccion}"
                    styleClass="outputTextStyle">
                    <f:convertNumber type="number" />
                </h:outputText>

                <h:outputLabel value="Área total construcción convencional"
                               styleClass="outputLabelStyle" />
                <h:outputText
                    value="#{infoCancelacionInscripcion.predioAvaluoSeleccionado.areaTotalConsConvencional}"
                    styleClass="outputTextStyle">
                    <f:convertNumber type="number" />
                </h:outputText>

                <h:outputLabel value="Área total construcción no convencional"
                               styleClass="outputLabelStyle" />
                <h:outputText
                    value="#{infoCancelacionInscripcion.predioAvaluoSeleccionado.areaTotalConsNoConvencional}"
                    styleClass="outputTextStyle">
                    <f:convertNumber type="number" />
                </h:outputText>

            </h:panelGrid>
        </p:fieldset>

        <p:spacer height="13" width="0" />

        <p:fieldset legend="Unidades de zonas homogéneas">
            <div style="overflow: auto; width: 780px;">
                <p:spacer height="7" width="0" />
                <p:dataTable
                    value="#{infoCancelacionInscripcion.listaPredioZonaOriginales}"
                    id="tablaZonas" var="zonas"
                    emptyMessage="No existe información de las zonas para el predio inicial">

                    <p:column headerText="Zona física">
                        <h:outputText value="#{zonas.zonaFisica}">
                            <f:convertNumber type="number" />
                        </h:outputText>
                    </p:column>

                    <p:column headerText="Zona geoeconómica">
                        <h:outputText value="#{zonas.zonaGeoeconomica}">
                            <f:convertNumber type="number" />
                        </h:outputText>
                    </p:column>
                    <p:column headerText="Área terreno">
                        <h:outputText value="#{zonas.area}">
                            <f:convertNumber type="number" />
                        </h:outputText>
                    </p:column>
                    <p:column headerText="Valor unidad de terreno">
                        <h:outputText value="#{zonas.valorM2Terreno}">
                            <f:convertNumber type="number" />
                        </h:outputText>
                    </p:column>
                    <p:column headerText="Avalúo parcial terreno">
                        <h:outputText value="#{zonas.avaluo}">
                            <f:convertNumber type="number" />
                        </h:outputText>
                    </p:column>

                </p:dataTable>
                <p:spacer height="7" width="0" />
            </div>
        </p:fieldset>

        <p:spacer height="13" width="0" />

        <p:fieldset legend="Construcciones convencionales">
            <div style="overflow: auto; width: 780px;">
                <p:spacer height="7" width="0" />
                <p:dataTable
                    value="#{infoCancelacionInscripcion.construccionesConvencionalesD}"
                    id="construccionesConvencionales" var="cconvencionales"
                    emptyMessage="No existe información de las unidades convencionales para el predio inicial">


                    <p:column headerText="Detalle" style="width: 50px;">
                        <p:commandButton title="Ver detalle de la unidad de construcción"
                                         immediate="true" ajax="true" icon="ui-icon ui-icon-search"
                                         onstart="statusDialog2.show();"
                                         update=":informacionConstruccionForm"
                                         oncomplete="infoConstruccionWV.show(); statusDialog2.hide();">
                            <f:setPropertyActionListener
                                target="#{consultaFichaMatrizPredio.predioUnidadConstruccionSeleccionado}"
                                value="#{cconvencionales}" />
                        </p:commandButton>

                    </p:column>


                    <p:column headerText="Unidad">
                        <h:outputText value="#{cconvencionales.unidad}">
                            <f:convertNumber type="number" />
                        </h:outputText>
                    </p:column>

                    <p:column headerText="Uso unidad">
                        <h:outputText value="#{cconvencionales.usoConstruccion.nombre}" />
                    </p:column>

                    <p:column headerText="Total pisos construcción">
                        <h:outputText value="#{cconvencionales.totalPisosConstruccion}">
                            <f:convertNumber type="number" />
                        </h:outputText>
                    </p:column>

                    <p:column headerText="Piso ubicación unidad">
                        <h:outputText value="#{cconvencionales.pisoUbicacion}">
                            <f:convertNumber type="number" />
                        </h:outputText>
                    </p:column>

                    <p:column headerText="Total pisos unidad">
                        <h:outputText value="#{cconvencionales.totalPisosUnidad}">
                            <f:convertNumber type="number" />
                        </h:outputText>
                    </p:column>

                    <p:column headerText="Habitaciones">
                        <h:outputText value="#{cconvencionales.totalHabitaciones}">
                            <f:convertNumber type="number" />
                        </h:outputText>
                    </p:column>

                    <p:column headerText="Baños">
                        <h:outputText value="#{cconvencionales.totalBanios}">
                            <f:convertNumber type="number" />
                        </h:outputText>
                    </p:column>

                    <p:column headerText="Locales">
                        <h:outputText value="#{cconvencionales.totalLocales}">
                            <f:convertNumber type="number" />
                        </h:outputText>
                    </p:column>

                    <p:column headerText="Puntos">
                        <h:outputText value="#{cconvencionales.totalPuntaje}">
                            <f:convertNumber type="number" />
                        </h:outputText>
                    </p:column>

                    <p:column headerText="Área construida">
                        <h:outputText value="#{cconvencionales.areaConstruida}">
                            <f:convertNumber type="number" />
                        </h:outputText>
                    </p:column>

                    <p:column headerText="Valor m2">
                        <h:outputText value="#{cconvencionales.valorM2Construccion}">
                            <f:convertNumber type="number" />
                        </h:outputText>
                    </p:column>

                    <p:column headerText="Avalúo unidad">
                        <h:outputText value="#{cconvencionales.avaluo}">
                            <f:convertNumber type="number" />
                        </h:outputText>
                    </p:column>

                    <p:column headerText="Año cons.">
                        <h:outputText value="#{cconvencionales.anioConstruccion}">
                            <f:convertNumber type="number" />
                        </h:outputText>
                    </p:column>

                    <p:column headerText="Tipificación">
                        <h:outputText value="#{cconvencionales.tipificacionValor}">
                            <f:convertNumber type="number" />
                        </h:outputText>
                    </p:column>

                    <ui:remove>
                        <p:column headerText="Detalle">
                            <h:outputText value="detalle ??????" />
                        </p:column>
                    </ui:remove>

                </p:dataTable>
                <p:spacer height="7" width="0" />
            </div>
        </p:fieldset>

        <p:spacer height="13" width="0" />

        <p:fieldset legend="Construcciones no convencionales">
            <div style="overflow: auto; width: 780px;">
                <p:spacer height="7" width="0" />
                <p:dataTable
                    value="#{infoCancelacionInscripcion.construccionesNoConvencionalesD}"
                    id="construccionesNoConvencionales"
                    var="cnoconvencionales"
                    emptyMessage="No existe información de las unidades convencionales para el predio inicial">

                    <p:column headerText="Unidad">
                        <h:outputText value="#{cnoconvencionales.unidad}">
                            <f:convertNumber type="number" />
                        </h:outputText>
                    </p:column>

                    <p:column headerText="Uso unidad">
                        <h:outputText value="#{cnoconvencionales.usoConstruccion.nombre}">
                            <f:convertNumber type="number" />
                        </h:outputText>
                    </p:column>

                    <p:column headerText="Descripción construcción">
                        <h:outputText value="#{cnoconvencionales.descripcion}">
                            <f:convertNumber type="number" />
                        </h:outputText>
                    </p:column>

                    <p:column headerText="Tipo">
                        <h:outputText value="#{cnoconvencionales.tipoConstruccion}">
                            <f:convertNumber type="number" />
                        </h:outputText>
                    </p:column>

                    <p:column headerText="Dimension">
                        <h:outputText value="#{cnoconvencionales.areaConstruida}">
                            <f:convertNumber type="number" />
                        </h:outputText>
                    </p:column>

                    <p:column headerText="Avalúo unidad">
                        <h:outputText value="#{cnoconvencionales.avaluo}">
                            <f:converter converterId="converterMoneda" />
                        </h:outputText>
                    </p:column>

                    <p:column headerText="Puntos">
                        <h:outputText value="#{cnoconvencionales.totalPuntaje}">
                        </h:outputText>
                    </p:column>

                </p:dataTable>
                <p:spacer height="7" width="0" />
            </div>
        </p:fieldset>
    </h:panelGrid>

    <h:panelGrid
        rendered="#{not empty infoCancelacionInscripcion.ppredioAvaluoSeleccionado}">
        <p:fieldset legend="Avalúo catastral">
            <h:panelGrid columns="4" cellspacing="13"
                         id="tablaDatosConstruccionesAvaluoPId">

                <h:outputLabel value="Valor total terreno"
                               styleClass="outputLabelStyle" />
                <h:outputText
                    value="#{infoCancelacionInscripcion.ppredioAvaluoSeleccionado.PPredioAvaluoCatastrals[0].valorTerreno}"
                    styleClass="outputTextStyle">
                    <f:convertNumber type="number" />
                </h:outputText>

                <h:outputLabel value="Auto estimación" styleClass="outputLabelStyle" />
                <h:outputText
                    value="#{infoCancelacionInscripcion.ppredioAvaluoSeleccionado.PPredioAvaluoCatastrals[0].autoavaluo}"
                    styleClass="outputTextStyle">
                    <f:convertNumber type="number" />
                </h:outputText>

                <h:outputLabel value="Valor total construcción"
                               styleClass="outputLabelStyle" />
                <h:outputText
                    value="#{infoCancelacionInscripcion.ppredioAvaluoSeleccionado.PPredioAvaluoCatastrals[0].valorTotalConstruccion}"
                    styleClass="outputTextStyle">
                    <f:convertNumber type="number" />
                </h:outputText>

                <h:outputLabel value="Valor total avalúo catastral"
                               styleClass="outputLabelStyle" />
                <h:outputText
                    value="#{infoCancelacionInscripcion.ppredioAvaluoSeleccionado.PPredioAvaluoCatastrals[0].valorTotalAvaluoCatastral}"
                    styleClass="outputTextStyle">
                    <f:convertNumber type="number" />
                </h:outputText>

                <h:outputLabel value="Valor total construcción convencional"
                               styleClass="outputLabelStyle" />
                <h:outputText
                    value="#{infoCancelacionInscripcion.ppredioAvaluoSeleccionado.PPredioAvaluoCatastrals[0].valorTotalConsConvencional}"
                    styleClass="outputTextStyle">
                    <f:convertNumber type="number" />
                </h:outputText>

                <h:outputLabel value="Valor total construcción no convencional"
                               styleClass="outputLabelStyle" />
                <h:outputText
                    value="#{infoCancelacionInscripcion.ppredioAvaluoSeleccionado.PPredioAvaluoCatastrals[0].valorTotalConsNconvencional}"
                    styleClass="outputTextStyle">
                    <f:convertNumber type="number" />
                </h:outputText>

            </h:panelGrid>
        </p:fieldset>

        <p:spacer height="13" width="0" />

        <p:fieldset legend="Áreas de terreno">
            <h:panelGrid columns="4" cellspacing="13"
                         id="tablaDatosAreasAvaluoPId">

                <h:outputLabel value="Área total terreno"
                               styleClass="outputLabelStyle" />
                <h:outputText
                    value="#{infoCancelacionInscripcion.ppredioAvaluoSeleccionado.areaTerreno} m2 - #{infoCancelacionInscripcion.ppredioAvaluoSeleccionado.areaTerrenoHectareas} ha"
                    styleClass="outputTextStyle">
                    <f:convertNumber type="number" />
                </h:outputText>

                <h:outputLabel value="Área total construcción"
                               styleClass="outputLabelStyle" />
                <h:outputText
                    value="#{infoCancelacionInscripcion.ppredioAvaluoSeleccionado.areaTotalConstruccion}"
                    styleClass="outputTextStyle">
                    <f:convertNumber type="number" />
                </h:outputText>

                <h:outputLabel value="Área total construcción convencional"
                               styleClass="outputLabelStyle" />
                <h:outputText
                    value="#{infoCancelacionInscripcion.ppredioAvaluoSeleccionado.areaTotalConsConvencional}"
                    styleClass="outputTextStyle">
                    <f:convertNumber type="number" />
                </h:outputText>

                <h:outputLabel value="Área total construcción no convencional"
                               styleClass="outputLabelStyle" />
                <h:outputText
                    value="#{infoCancelacionInscripcion.ppredioAvaluoSeleccionado.areaTotalConsNoConvencional}"
                    styleClass="outputTextStyle">
                    <f:convertNumber type="number" />
                </h:outputText>

            </h:panelGrid>
        </p:fieldset>

        <p:spacer height="13" width="0" />

        <p:fieldset legend="Unidades de zonas homogéneas">
            <div style="overflow: auto; width: 780px;">
                <p:spacer height="7" width="0" />
                <p:dataTable
                    value="#{infoCancelacionInscripcion.listaPredioZonaSeleccionado}"
                    id="tablaZonasP" var="zonas"
                    emptyMessage="No existe información de las zonas para el predio final">

                    <p:column headerText="Zona física">
                        <h:outputText value="#{zonas.zonaFisica}">
                            <f:convertNumber type="number" />
                        </h:outputText>
                    </p:column>

                    <p:column headerText="Zona geoeconómica">
                        <h:outputText value="#{zonas.zonaGeoeconomica}">
                            <f:convertNumber type="number" />
                        </h:outputText>
                    </p:column>
                    <p:column headerText="Área terreno">
                        <h:outputText value="#{zonas.area}">
                            <f:convertNumber type="number" />
                        </h:outputText>
                    </p:column>
                    <p:column headerText="Valor unidad de terreno">
                        <h:outputText value="#{zonas.valorM2Terreno}">
                            <f:convertNumber type="number" />
                        </h:outputText>
                    </p:column>
                    <p:column headerText="Avalúo parcial terreno">
                        <h:outputText value="#{zonas.avaluo}">
                            <f:convertNumber type="number" />
                        </h:outputText>
                    </p:column>

                </p:dataTable>
                <p:spacer height="7" width="0" />
            </div>
        </p:fieldset>

        <p:spacer height="13" width="0" />

        <p:fieldset legend="Construcciones convencionales">
            <div style="overflow: auto; width: 780px;">
                <p:spacer height="7" width="0" />
                <p:dataTable
                    value="#{infoCancelacionInscripcion.construccionesConvencionalesDP}"
                    id="construccionesConvencionalesP"
                    var="cconvencionales"
                    emptyMessage="No existe información de las unidades convencionales para el predio proyectado">

                    <p:column headerText="Detalle" style="width: 50px;">
                        <p:commandButton title="Ver detalle de la unidad de construcción"
                                         immediate="true" ajax="true" icon="ui-icon ui-icon-search"
                                         onstart="statusDialog2.show();"
                                         update=":informacionConstruccionForm"
                                         oncomplete="statusDialog2.hide();infoConstruccionWV2.show();">
                            <f:setPropertyActionListener
                                target="#{infoCancelacionInscripcion.ppredioUnidadSeleccionado}"
                                value="#{cconvencionales}" />
                        </p:commandButton>

                    </p:column>


                    <p:column headerText="Unidad">
                        <h:outputText value="#{cconvencionales.unidad}">
                            <f:convertNumber type="number" />
                        </h:outputText>
                    </p:column>

                    <p:column headerText="Uso unidad">
                        <h:outputText value="#{cconvencionales.usoConstruccion.nombre}" />
                    </p:column>

                    <p:column headerText="Total pisos construcción">
                        <h:outputText value="#{cconvencionales.totalPisosConstruccion}">
                            <f:convertNumber type="number" />
                        </h:outputText>
                    </p:column>

                    <p:column headerText="Piso ubicación unidad">
                        <h:outputText value="#{cconvencionales.pisoUbicacion}">
                            <f:convertNumber type="number" />
                        </h:outputText>
                    </p:column>

                    <p:column headerText="Total pisos unidad">
                        <h:outputText value="#{cconvencionales.totalPisosUnidad}">
                            <f:convertNumber type="number" />
                        </h:outputText>
                    </p:column>

                    <p:column headerText="Habitaciones">
                        <h:outputText value="#{cconvencionales.totalHabitaciones}">
                            <f:convertNumber type="number" />
                        </h:outputText>
                    </p:column>

                    <p:column headerText="Baños">
                        <h:outputText value="#{cconvencionales.totalBanios}">
                            <f:convertNumber type="number" />
                        </h:outputText>
                    </p:column>

                    <p:column headerText="Locales">
                        <h:outputText value="#{cconvencionales.totalLocales}">
                            <f:convertNumber type="number" />
                        </h:outputText>
                    </p:column>

                    <p:column headerText="Puntos">
                        <h:outputText value="#{cconvencionales.totalPuntaje}">
                            <f:convertNumber type="number" />
                        </h:outputText>
                    </p:column>

                    <p:column headerText="Área construida">
                        <h:outputText value="#{cconvencionales.areaConstruida}">
                            <f:convertNumber type="number" />
                        </h:outputText>
                    </p:column>

                    <p:column headerText="Valor m2">
                        <h:outputText value="#{cconvencionales.valorM2Construccion}">
                            <f:convertNumber type="number" />
                        </h:outputText>
                    </p:column>

                    <p:column headerText="Avalúo unidad">
                        <h:outputText value="#{cconvencionales.avaluo}">
                            <f:convertNumber type="number" />
                        </h:outputText>
                    </p:column>

                    <p:column headerText="Año cons.">
                        <h:outputText value="#{cconvencionales.anioConstruccion}">
                            <f:convertNumber type="number" />
                        </h:outputText>
                    </p:column>

                    <p:column headerText="Tipificación">
                        <h:outputText rendered="#{not empty cconvencionales.tipificacionValor}"
                                      value="#{cconvencionales.tipificacionValor}">
                            <f:convertNumber type="number" />
                        </h:outputText>
                        <h:outputText id="UnidadConstruccionTipificacion"
                                      rendered="#{not empty cconvencionales.tipificacion}" 
                                      value="#{cconvencionales.tipificacion}" >
                            <f:converter converterId="converterCB" for="UnidadConstruccionTipificacion"/>
                        </h:outputText>
                    </p:column>

                    <ui:remove>
                        <p:column headerText="Detalle">
                            <h:outputText value="detalle ??????" />
                        </p:column>
                    </ui:remove>

                </p:dataTable>
                <p:spacer height="7" width="0" />
            </div>
        </p:fieldset>

        <p:spacer height="13" width="0" />

        <p:fieldset legend="Construcciones no convencionales">
            <div style="overflow: auto; width: 780px;">
                <p:spacer height="7" width="0" />
                <p:dataTable
                    value="#{infoCancelacionInscripcion.construccionesNoConvencionalesDP}"
                    id="construccionesNoConvencionalesP" 
                    var="cnoconvencionales"
                    emptyMessage="No existe información de las inidades convencionales para el predio proyectado">

                    <p:column headerText="Unidad">
                        <h:outputText value="#{cnoconvencionales.unidad}">
                            <f:convertNumber type="number" />
                        </h:outputText>
                    </p:column>

                    <p:column headerText="Uso unidad">
                        <h:outputText value="#{cnoconvencionales.usoConstruccion.nombre}" />
                    </p:column>

                    <p:column headerText="Descripción construcción">
                        <h:outputText value="#{cnoconvencionales.descripcion}">
                            <f:convertNumber type="number" />
                        </h:outputText>
                    </p:column>

                    <p:column headerText="Tipo">
                        <h:outputText value="#{cnoconvencionales.tipoConstruccion}">
                            <f:convertNumber type="number" />
                        </h:outputText>
                    </p:column>

                    <p:column headerText="Dimension">
                        <h:outputText value="#{cnoconvencionales.areaConstruida}">
                            <f:convertNumber type="number" />
                        </h:outputText>
                    </p:column>

                    <p:column headerText="Avalúo unidad">
                        <h:outputText value="#{cnoconvencionales.avaluo}">
                            <f:convertNumber type="number" />
                            <f:converter converterId="converterMoneda" />
                        </h:outputText>
                    </p:column>

                    <p:column headerText="Puntos">
                        <h:outputText value="#{cnoconvencionales.totalPuntaje}">
                            <f:convertNumber type="number" />
                        </h:outputText>
                    </p:column>

                </p:dataTable>
                <p:spacer height="7" width="0" />
            </div>
        </p:fieldset>
    </h:panelGrid>

</h:form>
